--- updatedAt: 2026-07-30T18:14:46.000Z agentTools: projectIndex: https://docs.rekaz.io/llms.txt --- # /api/public/subscriptions/{id}/dates ## OpenAPI definition ```json { "openapi": "3.0.4", "info": { "title": "Rekaz Merchant Public API", "version": "v1" }, "servers": [ { "url": "https://platform.rekaz.io", "description": "Rekaz production" } ], "security": [ { "basicAuth": [], "tenantHeader": [] } ], "paths": { "/api/public/subscriptions/{id}/dates": { "put": { "tags": [ "Subscription" ], "operationId": "updatePublicSubscriptionDates", "parameters": [ { "name": "id", "in": "path", "required": true, "schema": { "type": "string", "format": "uuid" } } ], "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/UpdateSubscriptionDatesDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/UpdateSubscriptionDatesDto" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/UpdateSubscriptionDatesDto" } } } }, "responses": { "200": { "description": "OK", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/SubscriptionResponse" } }, "application/json": { "schema": { "$ref": "#/components/schemas/SubscriptionResponse" } }, "text/json": { "schema": { "$ref": "#/components/schemas/SubscriptionResponse" } } } } } } } }, "components": { "securitySchemes": { "basicAuth": { "type": "http", "scheme": "basic", "description": "Use the API key ID as the username and the API key secret as the password." }, "tenantHeader": { "type": "apiKey", "in": "header", "name": "__tenant", "description": "The Rekaz tenant ID." } }, "schemas": { "ActionType": { "enum": [ 1, 2, 3, 4, 5 ], "type": "integer", "format": "int32", "x-enumNames": [ "DiscountPercentage", "NewUnitPrice", "FlatAmount", "GraduatedPrice", "AdditionalAmount" ] }, "AreaDto": { "type": "object", "properties": { "id": { "type": "integer", "format": "int32" }, "area_code": { "type": "string" }, "area_name": { "type": "string" }, "parent_area": { "$ref": "#/components/schemas/AreaDto" }, "parent_area_name": { "type": "string", "nullable": true } }, "additionalProperties": false }, "AttachmentDto": { "type": "object", "properties": { "data": { "type": "string", "format": "byte" }, "mimeType": { "type": "string" }, "type": { "$ref": "#/components/schemas/MediaType" }, "title": { "type": "string", "nullable": true }, "name": { "type": "string" } }, "additionalProperties": false }, "BillingCycle": { "enum": [ 1, 2, 3, 4, 5 ], "type": "integer", "format": "int32", "x-enumNames": [ "AtBegging", "AtEnd", "EveryEndOfMonth", "EveryEndOfQuarter", "EveryEndOfYear" ] }, "BranchDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "name": { "type": "string", "nullable": true }, "localizedName": { "$ref": "#/components/schemas/LocalizedString" }, "addressUrl": { "type": "string", "nullable": true }, "parentName": { "type": "string", "nullable": true }, "parentId": { "type": "string", "format": "uuid", "nullable": true } }, "additionalProperties": false }, "BundleExecutionMode": { "enum": [ 1, 2 ], "type": "integer", "format": "int32", "x-enumNames": [ "Sequential", "Parallel" ] }, "BundleItemDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "productId": { "type": "string", "format": "uuid" }, "productName": { "type": "string", "nullable": true }, "productShortDescription": { "type": "string", "nullable": true }, "productDescription": { "type": "string", "nullable": true }, "productSlug": { "type": "string", "nullable": true }, "productImage": { "type": "string", "nullable": true }, "priceImmutableId": { "type": "string", "format": "uuid", "nullable": true }, "priceName": { "type": "string", "nullable": true }, "priceAmount": { "type": "number", "format": "double", "nullable": true }, "order": { "type": "integer", "format": "int32" }, "quantity": { "type": "integer", "format": "int32" }, "duration": { "type": "integer", "format": "int32", "nullable": true }, "requiresProviderSelection": { "type": "boolean" }, "providerIds": { "type": "array", "items": { "type": "string", "format": "uuid" }, "nullable": true }, "customFields": { "type": "array", "items": { "$ref": "#/components/schemas/ProductCustomFieldDto" }, "nullable": true }, "addOns": { "type": "array", "items": { "$ref": "#/components/schemas/ProductCustomFieldDto" }, "nullable": true } }, "additionalProperties": false }, "BundlePricingStrategy": { "enum": [ 1, 2 ], "type": "integer", "format": "int32", "x-enumNames": [ "Sum", "Fixed" ] }, "CalendarProvider": { "enum": [ 0, 1, 2 ], "type": "integer", "format": "int32", "x-enumNames": [ "None", "Google", "Zoom" ] }, "ConditionType": { "enum": [ 1, 2, 3, 4, 5, 6, 7, 8 ], "type": "integer", "format": "int32", "x-enumNames": [ "Always", "Schedule", "ItemQuantity", "Provider", "ProviderCount", "SlotCount", "CreationTime", "CustomFieldValue" ] }, "Coordinate": { "type": "object", "properties": { "lat": { "type": "number", "format": "double" }, "lng": { "type": "number", "format": "double" } }, "additionalProperties": false }, "CustomFieldModel": { "enum": [ 1, 2, 5, 6, 7 ], "type": "integer", "format": "int32", "x-enumNames": [ "Product", "Customer", "Invoice", "Preset", "Internal" ] }, "CustomFieldOptionDto": { "type": "object", "properties": { "text": { "type": "string", "nullable": true }, "additionalAmount": { "type": "number", "format": "double", "nullable": true } }, "additionalProperties": false }, "CustomFieldType": { "enum": [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11 ], "type": "integer", "format": "int32", "x-enumNames": [ "String", "Number", "Boolean", "Date", "List", "Maps", "AddOns", "MultiSelect", "Color", "Document", "Image" ] }, "CustomFieldValueResponse": { "type": "object", "properties": { "name": { "type": "string" }, "label": { "type": "string" }, "type": { "type": "string" }, "value": { "nullable": true } }, "additionalProperties": false }, "DayOfWeek": { "enum": [ 0, 1, 2, 3, 4, 5, 6 ], "type": "integer", "format": "int32", "x-enumNames": [ "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday" ] }, "Discount": { "type": "object", "properties": { "type": { "$ref": "#/components/schemas/DiscountType" }, "value": { "type": "number", "format": "double" } }, "additionalProperties": false }, "DiscountType": { "enum": [ 0, 1 ], "type": "integer", "format": "int32", "x-enumNames": [ "Fixed", "Percentage" ] }, "GeospatialDescriptor": { "type": "object", "properties": { "polygons": { "type": "array", "items": { "$ref": "#/components/schemas/Polygon" } }, "marker": { "$ref": "#/components/schemas/Coordinate" }, "showBoundariesToCustomer": { "type": "boolean" } }, "additionalProperties": false }, "HolidayDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "creationTime": { "type": "string", "format": "date-time" }, "creatorId": { "type": "string", "format": "uuid", "nullable": true }, "lastModificationTime": { "type": "string", "format": "date-time", "nullable": true }, "lastModifierId": { "type": "string", "format": "uuid", "nullable": true }, "isDeleted": { "type": "boolean" }, "deleterId": { "type": "string", "format": "uuid", "nullable": true }, "deletionTime": { "type": "string", "format": "date-time", "nullable": true }, "startDate": { "type": "string", "format": "date" }, "endDate": { "type": "string", "format": "date" }, "startTime": { "type": "string", "format": "time", "nullable": true }, "endTime": { "type": "string", "format": "time", "nullable": true }, "isFullDay": { "type": "boolean" }, "type": { "$ref": "#/components/schemas/HolidayType" }, "description": { "type": "string", "nullable": true }, "providerIds": { "type": "array", "items": { "type": "string", "format": "uuid" }, "nullable": true } }, "additionalProperties": false }, "HolidayType": { "enum": [ 1, 2, 3, 4, 5, 6 ], "type": "integer", "format": "int32", "x-enumNames": [ "Vacation", "SickLeave", "PersonalLeave", "PublicHoliday", "Other", "Break" ] }, "LocalizedString": { "type": "object", "properties": { "otherLanguages": { "type": "object", "additionalProperties": { "type": "string" } } }, "additionalProperties": false }, "MediaType": { "enum": [ 1, 2, 3 ], "type": "integer", "format": "int32", "x-enumNames": [ "Image", "Video", "Template" ] }, "OrderPaymentStatus": { "enum": [ 0, 1, 2 ], "type": "integer", "format": "int32", "x-enumNames": [ "Pending", "PartiallyPaid", "Paid" ] }, "PackageDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "creationTime": { "type": "string", "format": "date-time" }, "creatorId": { "type": "string", "format": "uuid", "nullable": true }, "lastModificationTime": { "type": "string", "format": "date-time", "nullable": true }, "lastModifierId": { "type": "string", "format": "uuid", "nullable": true }, "isDeleted": { "type": "boolean" }, "deleterId": { "type": "string", "format": "uuid", "nullable": true }, "deletionTime": { "type": "string", "format": "date-time", "nullable": true }, "totalQuantity": { "type": "integer", "format": "int32", "nullable": true }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/PackageItemDto" }, "nullable": true } }, "additionalProperties": false }, "PackageItemDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "creationTime": { "type": "string", "format": "date-time" }, "creatorId": { "type": "string", "format": "uuid", "nullable": true }, "lastModificationTime": { "type": "string", "format": "date-time", "nullable": true }, "lastModifierId": { "type": "string", "format": "uuid", "nullable": true }, "deleterId": { "type": "string", "format": "uuid", "nullable": true }, "deletionTime": { "type": "string", "format": "date-time", "nullable": true }, "price": { "$ref": "#/components/schemas/PriceDto" }, "priceId": { "type": "string", "format": "uuid", "nullable": true }, "immutablePriceId": { "type": "string", "format": "uuid", "nullable": true }, "quantity": { "type": "integer", "format": "int32" }, "usages": { "type": "integer", "format": "int32", "nullable": true }, "isDeleted": { "type": "boolean" } }, "additionalProperties": false }, "PackageItemUsagesDto": { "type": "object", "properties": { "packageId": { "type": "string", "format": "uuid" }, "quantity": { "type": "integer", "format": "int32" }, "usages": { "type": "integer", "format": "int32", "nullable": true } }, "additionalProperties": false }, "PackagePriceDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "creationTime": { "type": "string", "format": "date-time" }, "creatorId": { "type": "string", "format": "uuid", "nullable": true }, "lastModificationTime": { "type": "string", "format": "date-time", "nullable": true }, "lastModifierId": { "type": "string", "format": "uuid", "nullable": true }, "isDeleted": { "type": "boolean" }, "deleterId": { "type": "string", "format": "uuid", "nullable": true }, "deletionTime": { "type": "string", "format": "date-time", "nullable": true }, "totalQuantity": { "type": "integer", "format": "int32", "nullable": true }, "price": { "$ref": "#/components/schemas/PriceDto" }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/PackageItemDto" }, "nullable": true }, "subscriptionId": { "type": "string", "format": "uuid", "nullable": true }, "subscriptionNextBillingAt": { "type": "string", "format": "date-time", "nullable": true } }, "additionalProperties": false }, "PauseConfigDto": { "type": "object", "properties": { "enablePauseCount": { "type": "boolean" }, "pauseCount": { "type": "integer", "format": "int32", "nullable": true }, "enableTotalPauseDuration": { "type": "boolean" }, "totalPauseDuration": { "type": "integer", "format": "int32", "nullable": true }, "enableMaxPauseDuration": { "type": "boolean" }, "maxPauseDuration": { "type": "integer", "format": "int32", "nullable": true }, "enableMinPauseDuration": { "type": "boolean" }, "minPauseDuration": { "type": "integer", "format": "int32", "nullable": true } }, "additionalProperties": false }, "Polygon": { "type": "object", "properties": { "id": { "type": "integer", "format": "int32" }, "amount": { "type": "number", "format": "double" }, "coordinates": { "type": "array", "items": { "$ref": "#/components/schemas/Coordinate" } } }, "additionalProperties": false }, "PriceDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "immutableId": { "type": "string", "format": "uuid" }, "product": { "$ref": "#/components/schemas/ProductDto" }, "productId": { "type": "string", "format": "uuid", "nullable": true }, "productName": { "type": "string", "nullable": true }, "localizedProductName": { "$ref": "#/components/schemas/LocalizedString" }, "name": { "type": "string", "nullable": true }, "localizedName": { "$ref": "#/components/schemas/LocalizedString" }, "internalName": { "type": "string", "nullable": true }, "amount": { "type": "number", "format": "double" }, "isDeleted": { "type": "boolean", "nullable": true }, "order": { "type": "integer", "format": "int32" }, "extraProperties": { "type": "object", "additionalProperties": {}, "nullable": true }, "productPricesCount": { "type": "integer", "format": "int32" } }, "additionalProperties": false }, "PriceType": { "enum": [ 1, 2 ], "type": "integer", "format": "int32", "x-enumNames": [ "OneTime", "Recurring" ] }, "PricingDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "immutableId": { "type": "string", "format": "uuid" }, "order": { "type": "integer", "format": "int32" }, "name": { "type": "string", "nullable": true }, "localizedName": { "$ref": "#/components/schemas/LocalizedString" }, "type": { "$ref": "#/components/schemas/PriceType" }, "usageType": { "$ref": "#/components/schemas/UsageType" }, "isUsageBased": { "type": "boolean" }, "usageCalculationMethod": { "$ref": "#/components/schemas/UsageCalculationMethod" }, "model": { "$ref": "#/components/schemas/PricingModel" }, "billingCycle": { "$ref": "#/components/schemas/BillingCycle" }, "trailLength": { "type": "integer", "format": "int32", "nullable": true }, "billingPeriod": { "type": "integer", "format": "int32", "nullable": true }, "billingDay": { "type": "integer", "format": "int32", "nullable": true }, "ruleBasedItems": { "type": "array", "items": { "$ref": "#/components/schemas/RuleBasedPriceItemDto" }, "nullable": true }, "amount": { "type": "number", "format": "double" }, "minimumAmount": { "type": "number", "format": "double" }, "hasMinimum": { "type": "boolean", "readOnly": true }, "depositAmount": { "type": "number", "format": "double" }, "hasDeposit": { "type": "boolean", "readOnly": true }, "hasOccurrence": { "type": "boolean", "readOnly": true }, "occurenceDays": { "type": "array", "items": { "$ref": "#/components/schemas/DayOfWeek" }, "nullable": true }, "occurrence": { "type": "integer", "format": "int32", "nullable": true }, "duration": { "type": "integer", "format": "int32", "nullable": true }, "sku": { "type": "string", "nullable": true }, "discountedAmount": { "type": "number", "format": "double", "nullable": true }, "discountValidUntil": { "type": "string", "format": "date-time", "nullable": true }, "discountValidFrom": { "type": "string", "format": "date-time", "nullable": true }, "package": { "$ref": "#/components/schemas/PackageDto" }, "fixedDeposit": { "type": "boolean" }, "pauseConfig": { "$ref": "#/components/schemas/PauseConfigDto" }, "stock": { "$ref": "#/components/schemas/StockDto" }, "extraProperties": { "type": "object", "additionalProperties": {}, "nullable": true } }, "additionalProperties": false }, "PricingModel": { "enum": [ 1, 2, 3 ], "type": "integer", "format": "int32", "x-enumNames": [ "Fixed", "Tiered", "Graduated" ] }, "ProductCustomFieldDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "creationTime": { "type": "string", "format": "date-time" }, "creatorId": { "type": "string", "format": "uuid", "nullable": true }, "lastModificationTime": { "type": "string", "format": "date-time", "nullable": true }, "lastModifierId": { "type": "string", "format": "uuid", "nullable": true }, "name": { "type": "string", "nullable": true }, "localizedLabel": { "$ref": "#/components/schemas/LocalizedString" }, "label": { "type": "string", "nullable": true }, "options": { "type": "array", "items": { "type": "string" }, "nullable": true }, "fullOptions": { "type": "array", "items": { "$ref": "#/components/schemas/CustomFieldOptionDto" }, "nullable": true }, "isRequired": { "type": "boolean" }, "localizedPlaceholder": { "$ref": "#/components/schemas/LocalizedString" }, "placeholder": { "type": "string", "nullable": true }, "showInCheckout": { "type": "boolean" }, "type": { "$ref": "#/components/schemas/CustomFieldType" }, "model": { "$ref": "#/components/schemas/CustomFieldModel" }, "mapsOptions": { "$ref": "#/components/schemas/GeospatialDescriptor" }, "order": { "type": "integer", "format": "int32" }, "amount": { "type": "number", "format": "double" }, "imageId": { "type": "string", "nullable": true }, "imageUrl": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ProductDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "creationTime": { "type": "string", "format": "date-time" }, "creatorId": { "type": "string", "format": "uuid", "nullable": true }, "name": { "type": "string", "nullable": true }, "description": { "type": "string", "nullable": true }, "shortDescription": { "type": "string", "nullable": true }, "localizedName": { "$ref": "#/components/schemas/LocalizedString" }, "localizedDescription": { "$ref": "#/components/schemas/LocalizedString" }, "localizedShortDescription": { "$ref": "#/components/schemas/LocalizedString" }, "metaDescription": { "$ref": "#/components/schemas/LocalizedString" }, "showInCheckout": { "type": "boolean" }, "providers": { "type": "array", "items": { "$ref": "#/components/schemas/ProductProviderDto" }, "nullable": true }, "slots": { "type": "integer", "format": "int32", "nullable": true }, "duration": { "type": "integer", "format": "int32", "nullable": true }, "durationSplitter": { "type": "integer", "format": "int32", "nullable": true }, "isReservation": { "type": "boolean", "readOnly": true }, "imagesIds": { "type": "array", "items": { "type": "string" }, "nullable": true }, "imagesUrls": { "type": "object", "additionalProperties": { "type": "string", "nullable": true }, "nullable": true }, "firstImageUrl": { "type": "string", "nullable": true }, "pricing": { "type": "array", "items": { "$ref": "#/components/schemas/PricingDto" }, "nullable": true }, "features": { "type": "array", "items": { "$ref": "#/components/schemas/ProductFeatureDto" }, "nullable": true }, "bufferAtBegging": { "type": "integer", "format": "int32", "nullable": true }, "maximumQuantityPerOrder": { "type": "integer", "format": "int32", "nullable": true }, "maxAdvanceBooking": { "type": "integer", "format": "int32", "nullable": true }, "nextReservationPeriod": { "type": "integer", "format": "int32", "nullable": true }, "enableCustomerToChooseProvider": { "type": "boolean" }, "attachments": { "type": "array", "items": { "$ref": "#/components/schemas/AttachmentDto" }, "nullable": true }, "isFullDayBooking": { "type": "boolean", "nullable": true }, "bufferBetweenSlots": { "type": "integer", "format": "int32", "nullable": true }, "enableCustomerToChooseProvidersCount": { "type": "boolean" }, "chooseProviderLabel": { "type": "string", "nullable": true }, "localizedChoseProviderLabel": { "$ref": "#/components/schemas/LocalizedString" }, "isVariableDuration": { "type": "boolean" }, "showProviderName": { "type": "boolean" }, "branches": { "type": "array", "items": { "$ref": "#/components/schemas/BranchDto" }, "nullable": true }, "sku": { "type": "string", "nullable": true }, "subscriptionStartAt": { "type": "string", "format": "date-time", "nullable": true }, "subscriptionStartAtLimit": { "type": "string", "format": "date-time", "nullable": true }, "subscriptionStartAtMax": { "type": "integer", "format": "int32", "nullable": true }, "type": { "$ref": "#/components/schemas/ProductType" }, "typeString": { "type": "string", "nullable": true, "readOnly": true }, "zkBioAuthorizedAreas": { "type": "array", "items": { "$ref": "#/components/schemas/AreaDto" }, "nullable": true }, "stockQuantity": { "type": "integer", "format": "int32", "nullable": true }, "subscriptionLimit": { "type": "integer", "format": "int32", "nullable": true }, "externalCalendar": { "$ref": "#/components/schemas/CalendarProvider" }, "reservationProductType": { "$ref": "#/components/schemas/ReservationProductType" }, "enableCustomizeSlots": { "type": "boolean" }, "enableCustomizeBufferBetweenSlots": { "type": "boolean" }, "enableCustomizeReservationDeadline": { "type": "boolean" }, "enableCustomizeMaximumQuantityPerOrder": { "type": "boolean" }, "enableCustomizeNextReservationPeriod": { "type": "boolean" }, "enableCustomizeMaxAdvanceBooking": { "type": "boolean" }, "enableCustomizeDurationSplitter": { "type": "boolean" }, "enableCustomProviderLabel": { "type": "boolean" }, "enableProductSchedule": { "type": "boolean" }, "productSchedules": { "type": "array", "items": { "$ref": "#/components/schemas/ScheduleDto" }, "nullable": true }, "enableBadge": { "type": "boolean" }, "badgeLabel": { "$ref": "#/components/schemas/LocalizedString" }, "maximumQuantityPerOrderLabel": { "$ref": "#/components/schemas/LocalizedString" }, "customButtonLabel": { "$ref": "#/components/schemas/LocalizedString" }, "badgeColor": { "type": "string", "nullable": true }, "seoKeywords": { "type": "string", "nullable": true }, "considerQuantityInSlotCalculation": { "type": "boolean" }, "categoryIds": { "type": "array", "items": { "type": "string", "format": "uuid" }, "nullable": true }, "expirationPeriodInDays": { "type": "integer", "format": "int32", "nullable": true }, "slug": { "type": "string", "nullable": true }, "extraProperties": { "type": "object", "additionalProperties": {}, "nullable": true }, "executionMode": { "$ref": "#/components/schemas/BundleExecutionMode" }, "pricingStrategy": { "$ref": "#/components/schemas/BundlePricingStrategy" }, "bundleItems": { "type": "array", "items": { "$ref": "#/components/schemas/BundleItemDto" }, "nullable": true }, "isGiftable": { "type": "boolean" }, "giftExpirationDays": { "type": "integer", "format": "int32", "nullable": true }, "amount": { "type": "number", "format": "double" }, "discountedAmount": { "type": "number", "format": "double" }, "url": { "type": "string", "nullable": true }, "isOutOfStock": { "type": "boolean" }, "images": { "type": "array", "items": { "type": "string" }, "nullable": true }, "productProviders": { "type": "array", "items": { "$ref": "#/components/schemas/SelectListDto_Guid" }, "nullable": true }, "customFields": { "type": "array", "items": { "$ref": "#/components/schemas/ProductCustomFieldDto" }, "nullable": true }, "addOns": { "type": "array", "items": { "$ref": "#/components/schemas/ProductCustomFieldDto" }, "nullable": true }, "minimumDuration": { "type": "integer", "format": "int32", "nullable": true }, "maximumDuration": { "type": "integer", "format": "int32", "nullable": true }, "hasGeofencedProviders": { "type": "boolean" }, "featuredImage": { "type": "string", "nullable": true }, "hasPackage": { "type": "boolean" }, "isInCurrentBranch": { "type": "boolean" }, "branchIds": { "type": "array", "items": { "type": "string", "format": "uuid" }, "nullable": true }, "isSubscriptionAvailable": { "type": "boolean" }, "reviewCount": { "type": "integer", "format": "int32" }, "averageRating": { "type": "number", "format": "double", "nullable": true } }, "additionalProperties": false }, "ProductFeatureDto": { "type": "object", "properties": { "featureId": { "type": "string", "format": "uuid" }, "value": { "type": "string", "nullable": true }, "featureName": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ProductProviderDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "productId": { "type": "string", "format": "uuid" }, "providerId": { "type": "string", "format": "uuid" }, "provider": { "$ref": "#/components/schemas/ProviderDto" } }, "additionalProperties": false }, "ProductType": { "enum": [ 0, 1, 2, 3, 4 ], "type": "integer", "format": "int32", "x-enumNames": [ "Reservation", "Subscription", "Merchandise", "Gift", "Bundle" ] }, "ProviderDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "creationTime": { "type": "string", "format": "date-time" }, "creatorId": { "type": "string", "format": "uuid", "nullable": true }, "lastModificationTime": { "type": "string", "format": "date-time", "nullable": true }, "lastModifierId": { "type": "string", "format": "uuid", "nullable": true }, "isDeleted": { "type": "boolean" }, "deleterId": { "type": "string", "format": "uuid", "nullable": true }, "deletionTime": { "type": "string", "format": "date-time", "nullable": true }, "name": { "type": "string", "nullable": true }, "description": { "type": "string", "nullable": true }, "imageId": { "type": "string", "format": "uuid", "nullable": true }, "imageUrl": { "type": "string", "nullable": true }, "iCalListingId": { "type": "string", "nullable": true }, "slotsCount": { "type": "integer", "format": "int32", "nullable": true }, "bufferBetweenSlots": { "type": "integer", "format": "int32", "nullable": true }, "serviceAreas": { "$ref": "#/components/schemas/GeospatialDescriptor" }, "schedules": { "type": "array", "items": { "$ref": "#/components/schemas/ProviderScheduleDto" }, "nullable": true }, "scheduleOverrides": { "type": "array", "items": { "$ref": "#/components/schemas/ScheduleOverrideDto" }, "nullable": true }, "isGeoFenced": { "type": "boolean", "readOnly": true }, "branches": { "type": "array", "items": { "$ref": "#/components/schemas/BranchDto" }, "nullable": true }, "branchIds": { "type": "array", "items": { "type": "string", "format": "uuid" }, "nullable": true }, "holidays": { "type": "array", "items": { "$ref": "#/components/schemas/HolidayDto" }, "nullable": true }, "systemTag": { "type": "string", "nullable": true }, "commissionRate": { "type": "number", "format": "double", "nullable": true } }, "additionalProperties": false }, "ProviderScheduleDto": { "type": "object", "properties": { "scheduleId": { "type": "string", "format": "uuid" }, "scheduleName": { "type": "string", "nullable": true }, "from": { "type": "string", "format": "date-time", "nullable": true }, "to": { "type": "string", "format": "date-time", "nullable": true }, "hasCustomDates": { "type": "boolean" }, "scheduleItems": { "type": "array", "items": { "$ref": "#/components/schemas/ScheduleItemDto" }, "nullable": true }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/ScheduleItemDto" }, "nullable": true } }, "additionalProperties": false }, "ReservationProductType": { "enum": [ 1, 2, 3 ], "type": "integer", "format": "int32", "x-enumNames": [ "Normal", "Online", "Night" ] }, "RuleBasedPriceItemDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "runningOrder": { "type": "integer", "format": "int32" }, "conditionType": { "$ref": "#/components/schemas/ConditionType" }, "conditionData": { "type": "object", "additionalProperties": { "nullable": true }, "nullable": true }, "actionType": { "$ref": "#/components/schemas/ActionType" }, "actionData": { "type": "object", "additionalProperties": { "nullable": true }, "nullable": true }, "isDiscount": { "type": "boolean" } }, "additionalProperties": false }, "ScheduleDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "creationTime": { "type": "string", "format": "date-time" }, "creatorId": { "type": "string", "format": "uuid", "nullable": true }, "lastModificationTime": { "type": "string", "format": "date-time", "nullable": true }, "lastModifierId": { "type": "string", "format": "uuid", "nullable": true }, "isDeleted": { "type": "boolean" }, "deleterId": { "type": "string", "format": "uuid", "nullable": true }, "deletionTime": { "type": "string", "format": "date-time", "nullable": true }, "name": { "type": "string", "nullable": true }, "from": { "type": "string", "format": "date-time" }, "to": { "type": "string", "format": "date-time", "nullable": true }, "hasCustomDates": { "type": "boolean" }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/ScheduleItemDto" }, "nullable": true }, "systemTag": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ScheduleItemDto": { "type": "object", "properties": { "day": { "$ref": "#/components/schemas/DayOfWeek" }, "startAt": { "type": "string", "format": "date-span" }, "endAt": { "type": "string", "format": "date-span" } }, "additionalProperties": false }, "ScheduleOverrideDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "providerId": { "type": "string", "format": "uuid" }, "from": { "type": "string", "format": "date-time" }, "to": { "type": "string", "format": "date-time" }, "isFullDayOverride": { "type": "boolean" } }, "additionalProperties": false }, "SelectListDto_Guid": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "image": { "type": "string", "nullable": true }, "name": { "type": "string" }, "description": { "type": "string" }, "branchIds": { "type": "array", "items": { "type": "string", "format": "uuid" } } }, "additionalProperties": false }, "StockDto": { "type": "object", "properties": { "availableQuantity": { "type": "integer", "format": "int32", "nullable": true }, "allocatedQuantity": { "type": "integer", "format": "int32" }, "isUnlimited": { "type": "boolean", "readOnly": true }, "remainingQuantity": { "type": "integer", "format": "int32", "nullable": true, "readOnly": true } }, "additionalProperties": false }, "SubscriptionItemResponse": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "priceId": { "type": "string", "format": "uuid", "nullable": true }, "name": { "type": "string" }, "productName": { "type": "string" }, "localizedProductName": { "$ref": "#/components/schemas/LocalizedString" }, "quantity": { "type": "number", "format": "double" }, "isUsageBased": { "type": "boolean" }, "usageType": { "$ref": "#/components/schemas/UsageType" }, "ruleBasedItems": { "type": "array", "items": { "$ref": "#/components/schemas/RuleBasedPriceItemDto" } }, "billingCycle": { "$ref": "#/components/schemas/BillingCycle" }, "billingPeriod": { "type": "integer", "format": "int32", "nullable": true }, "externalId": { "type": "string", "nullable": true }, "productTemplates": { "type": "array", "items": { "$ref": "#/components/schemas/AttachmentDto" } }, "package": { "$ref": "#/components/schemas/PackagePriceDto" }, "pauseConfig": { "$ref": "#/components/schemas/PauseConfigDto" }, "packageItem": { "$ref": "#/components/schemas/PackageItemUsagesDto" }, "packageFullyUsed": { "type": "boolean", "nullable": true }, "packageTotalQuantity": { "type": "integer", "format": "int32", "nullable": true }, "packageTotalUsages": { "type": "integer", "format": "int32", "nullable": true } }, "additionalProperties": false }, "SubscriptionResponse": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "subscriptionCode": { "type": "string" }, "customerId": { "type": "string", "format": "uuid" }, "startAt": { "type": "string", "format": "date-time" }, "endAt": { "type": "string", "format": "date-time", "nullable": true }, "status": { "$ref": "#/components/schemas/SubscriptionStatus" }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/SubscriptionItemResponse" } }, "discount": { "$ref": "#/components/schemas/Discount" }, "branchId": { "type": "string", "format": "uuid" }, "occurenceDays": { "type": "array", "items": { "$ref": "#/components/schemas/DayOfWeek" } }, "creationTime": { "type": "string", "format": "date-time" }, "lastModificationTime": { "type": "string", "format": "date-time", "nullable": true }, "customFields": { "type": "array", "items": { "$ref": "#/components/schemas/CustomFieldValueResponse" }, "nullable": true }, "paidAmount": { "type": "number", "format": "double", "nullable": true }, "totalAmount": { "type": "number", "format": "double", "nullable": true }, "remainingAmount": { "type": "number", "format": "double", "nullable": true }, "lastInvoiceStatus": { "$ref": "#/components/schemas/OrderPaymentStatus" }, "isPaused": { "type": "boolean" }, "pausedAt": { "type": "string", "format": "date-time", "nullable": true }, "resumeAt": { "type": "string", "format": "date-time", "nullable": true } }, "additionalProperties": false }, "SubscriptionStatus": { "enum": [ 1, 2, 3, 4, 5, 6, 7, 8 ], "type": "integer", "format": "int32", "x-enumNames": [ "Pending", "Active", "Cancelled", "Suspended", "Expired", "Paused", "Transferred", "StartingSoon" ] }, "UpdateSubscriptionDatesDto": { "type": "object", "properties": { "startAt": { "type": "string", "format": "date-time", "nullable": true }, "endAt": { "type": "string", "format": "date-time", "nullable": true } }, "additionalProperties": false }, "UsageCalculationMethod": { "enum": [ 1, 2, 3, 4 ], "type": "integer", "format": "int32", "x-enumNames": [ "SumOfAll", "MostRecent", "MaxOfAll", "CarryOn" ] }, "UsageType": { "enum": [ 1, 2, 3 ], "type": "integer", "format": "int32", "x-enumNames": [ "Licenced", "Metered", "Package" ] } } } } ```